-- < win_cur.e > - mouse cursors from Pete Eberlein's mighty.e
--  windows-style cursors included: MC_ARROW, MC_WAIT, MC_CROSS, 
--      MC_IBEAM, MC_ICON, MC_NO, MC_SIZE, MC_SIZENESW, MC_SIZENS, 
--      MC_SIZENWSE, MC_SIZEWE, MC_UPARROW, MC_APPSTARTING

global constant
MC_ARROW = {{  --  Standard arrow
    "           ",
    " /         ",
    " //        ",
    " ///       ",
    " ////      ",
    " /////     ",
    " //////    ",
    " ///////   ",
    " ////////  ",
    " /////     ",
    " // //     ",
    " /   //    ",
    "     //    ",
    "      //   ",
    "      //   ",
    "           "}-32,
    
    #FF*(' '={
    "xx         ",
    "x/x        ",
    "x//x       ",
    "x///x      ",
    "x////x     ",
    "x/////x    ",
    "x//////x   ",
    "x///////x  ",
    "x////////x ",
    "x/////xxxxx",
    "x//x//x    ",
    "x/x x//x   ",
    "xx  x//x   ",
    "x    x//x  ",
    "     x//x  ",
    "      xxx  "}),

    {0,0}},

MC_WAIT = {{  -- Hourglass
    "             ",
    " /////////// ",
    "             ",
    "  /////////  ",
    "  /////////  ",
    "  // / / //  ",
    "   // / //   ",
    "    // //    ",
    "     ///     ",
    "      /      ",
    "     ///     ",
    "    /////    ",
    "   /// ///   ",
    "  /// / ///  ",
    "  // / / //  ",
    "  / / / / /  ",
    "             ",
    " /////////// ",
    "             "}-32,

    #FF*(' '={
    "xxxxxxxxxxxxx",
    "xxxxxxxxxxxxx",
    " xxxxxxxxxxx ",
    " xxxxxxxxxxx ",
    " xxxxxxxxxxx ",
    " xxxxxxxxxxx ",
    "  xxxxxxxxx  ",
    "   xxxxxxx   ",
    "    xxxxx    ",
    "     xxx     ",
    "    xxxxx    ",
    "   xxxxxxx   ",
    "  xxxxxxxxx  ",
    " xxxxxxxxxxx ",
    " xxxxxxxxxxx ",
    " xxxxxxxxxxx ",
    " xxxxxxxxxxx ",
    "xxxxxxxxxxxxx",
    "xxxxxxxxxxxxx"}),

    {6,9}},

MC_CROSS = {{  -- Crosshair
    "     /     ",
    "     /     ",
    "     /     ",
    "     /     ",
    "     /     ",
    "///////////",
    "     /     ",
    "     /     ",
    "     /     ",
    "     /     ",
    "     /     "}-32,
    
    #FF*(' '={
    "           ",
    "           ",
    "           ",
    "           ",
    "           ",
    "           ",
    "           ",
    "           ",
    "           ",
    "           ",
    "           ",
    "          "}),
    
    {5,5}},

MC_IBEAM = {{  -- Text I-beam
    "// //",
    "  /  ",
    "  /  ",
    "  /  ",
    "  /  ",
    "  /  ",
    "  /  ",
    "  /  ",
    "  /  ",
    "  /  ",
    "// //"}-32,
    
    #FF*(' '={
    "     ",
    "     ",
    "     ",
    "     ",
    "     ",
    "     ",
    "     ",
    "     ",
    "     ",
    "     ",
    "     ",
    "     "}),
    
    {2,5}},

MC_ICON = {{  -- Empty icon
    "           ",
    "           ",
    "  ///////  ",
    "  /     /  ",
    "  /     /  ",
    "  /     /  ",
    "  ///////  ",
    "           ",
    "           "}-32,
    
    #FF*(' '={
    "///////////",
    "///////////",
    "///////////",
    "///////////",
    "///////////",
    "///////////",
    "///////////",
    "///////////",
    "///////////"}),
    
    {5,4}},

MC_NO = {{  -- Slashed circle
    "              ",
    "     ////     ",
    "   ///  ///   ",
    "  //     ///  ",
    "  /     // /  ",
    " //    //  // ",
    " /    //    / ",
    " //  //    // ",
    "  / //     /  ",
    "  ///     //  ",
    "   ///  ///   ",
    "     ////     ",
    "              "}-32,
    
    #FF*(' '={
    "     xxxx     ",
    "   xx////xx   ",
    "  x///xx///x  ",
    " x//xx  x///x ",
    " x/x   x//x/x ",
    "x//x  x//xx//x",
    "x/x  x//x  x/x",
    "x//xx//x  x//x",
    " x/x//x   x/x ",
    " x///x  xx//x ",
    "  x///xx///x  ",
    "   xx////xx   ",
    "     xxxx     "}),
    
    {6,6}},

MC_SIZE = {{  -- Four-pointed arrow
    "                 ",
    "        /        ",
    "       ///       ",
    "      /////      ",
    "        /        ",
    "        /        ",
    "   /    /    /   ",
    "  //    /    //  ",
    " /////////////// ",
    "  //    /    //  ",
    "   /    /    /   ",
    "        /        ",
    "        /        ",
    "      /////      ",
    "       ///       ",
    "        /        ",
    "                 "}-32,
    
    #FF*(' '={
    "        x        ",
    "       x/x       ",
    "      x///x      ",
    "     x/////x     ",
    "     xxx/xxx     ",
    "   xx  x/x  xx   ",
    "  x/x  x/x  x/x  ",
    " x//xxxx/xxxx//x ",
    "x///////////////x",
    " x//xxxx/xxxx//x ",
    "  x/x  x/x  x/x  ",
    "   xx  x/x  xx   ",
    "     xxx/xxx     ",
    "     x/////x     ",
    "      x///x      ",
    "       x/x       ",
    "        x        "}),
    
    {8,8}},

MC_SIZENESW = {{  -- Double-pointed arrow pointing northeast and southwest
    "               ",
    "         ///// ",
    "          //// ",
    "           /// ",
    "          / // ",
    "         /   / ",
    "        /      ",
    "       /       ",
    "      /        ",
    " /   /         ",
    " // /          ",
    " ///           ",
    " ////          ",
    " /////         ",
    "               "}-32,
    
    #FF*(' '={
    "        xxxxxxx",
    "        //////x",
    "         /////x",
    "          ////x",
    "         x////x",
    "        x/x //x",
    "       x/x   /x",
    "      x/x      ",
    "x/   x/x       ",
    "x// x/x        ",
    "x////x         ",
    "x////          ",
    "x/////         ",
    "x//////        ",
    "xxxxxxx        "}),
    
    {7,7}},

MC_SIZENS = {{  -- Double-pointed arrow pointing north and south
    "       ",
    "   /   ",
    "  ///  ",
    " ///// ",
    "   /   ",
    "   /   ",
    "   /   ",
    "   /   ",
    "   /   ",
    "   /   ",
    "   /   ",
    "   /   ",
    "   /   ",
    " ///// ",
    "  ///  ",
    "   /   ",
    "       "}-32,
    
    #FF*(' '={
    "   x   ",
    "  x/x  ",
    " x///x ",
    "x/////x",
    "xxx/xxx",
    "  x/x  ",
    "  x/x  ",
    "  x/x  ",
    "  x/x  ",
    "  x/x  ",
    "  x/x  ",
    "  x/x  ",
    "xxx/xxx",
    "x/////x",
    " x///x ",
    "  x/x  ",
    "   x   "}),
    
    {3,8}},
    
MC_SIZENWSE = {{  -- Double-pointed arrow pointing northwest and southeast
    "               ",
    " /////         ",
    " ////          ",
    " ///           ",
    " // /          ",
    " /   /         ",
    "      /        ",
    "       /       ",
    "        /      ",
    "         /   / ",
    "          / // ",
    "           /// ",
    "          //// ",
    "         ///// ",
    "               "}-32,
    
    #FF*(' '={
    "xxxxxxx        ",
    "x//////        ",
    "x/////         ",
    "x////          ",
    "x////x         ",
    "x// x/x        ",
    "x/   x/x       ",
    "      x/x      ",
    "       x/x   /x",
    "        x/x //x",
    "         x////x",
    "          ////x",
    "         /////x",
    "        //////x",
    "        xxxxxxx"}),
    
    {7,7}},

MC_SIZEWE = {{  -- Double-pointed arrow pointing west and east
    "                 ",
    "   /         /   ",
    "  //         //  ",
    " /////////////// ",
    "  //         //  ",
    "   /         /   ",
    "                 "}-32,
    
    #FF*(' '={
    "   xx       xx   ",
    "  x/x       x/x  ",
    " x//xxxx/xxxx//x ",
    "x///////////////x",
    " x//xxxx/xxxx//x ",
    "  x/x       x/x  ",
    "   xx       xx   "}),
    
    {8,3}},

MC_UPARROW = {{  -- Vertical arrow
    "         ",
    "    /    ",
    "   ///   ",
    "  /////  ",
    " /////// ",
    "   ///   ",
    "   ///   ",
    "   ///   ",
    "   ///   ",
    "   ///   ",
    "   ///   ",
    "   ///   ",
    "   ///   ",
    "   ///   ",
    "   ///   ",
    "         "}-32,
    
    #FF*(' '={
    "    x    ",
    "   x/x   ",
    "  x///x  ",
    " x/////x ",
    "xxxx/xxxx",
    "xxxxxxxxx",
    "  x///x  ",
    "  x///x  ",
    "  x///x  ",
    "  x///x  ",
    "  x///x  ",
    "  x///x  ",
    "  x///x  ",
    "  x///x  ",
    "  x///x  ",
    "  x///x  ",
    "  x//xx  "}),
    
    {4,0}},

MC_APPSTARTING = {{  -- Standard arrow and small hourglass
    "                 ",
    " /               ",
    " //              ",
    " ///             ",
    " ////      ///// ",
    " /////           ",
    " //////    ///// ",
    " ///////   ///// ",
    " ////////   ///  ",
    " /////       /   ",
    " // //      / /  ",
    " /   //    / / / ",
    "     //    ///// ",
    "      //         ",
    "      //   ///// ",
    "                 "}-32,
    
    #FF*(' '={
    "xx               ",
    "x/x              ",
    "x//x             ",
    "x///x     xxxxxxx",
    "x////x    xxxxxxx",
    "x/////x   xxxxxxx",
    "x//////x  xxxxxxx",
    "x///////x xxxxxxx",
    "x////////x xxxxx ",
    "x/////xxxxx xxx  ",
    "x//x//x    xxxxx ",
    "x/x x//x  xxxxxxx",
    "xx  x//x  xxxxxxx",
    "x    x//x xxxxxxx",
    "     x//x xxxxxxx",
    "      xxx xxxxxxx"}),
    
    {0,0}}

